%global lsb 1lsb3.2

Name:           epson-inkjet-printer-escpr
Summary:        Drivers for Epson inkjet printers
Version:        1.7.21
Release:    1%{?dist}
License:        GPLv2+
URL:            http://download.ebz.epson.net/dsc/search/01/search/?OSC=LX
Source0:        https://download3.ebz.epson.net/dsc/f/03/00/13/77/93/e85dc2dc266e96fdc242bd95758bd88d1a51963e/epson-inkjet-printer-escpr-1.7.21-1lsb3.2.tar.gz
Patch1:         epson-inkjet-printer-escpr-filter.patch
Patch2:         implicit-function-declaration.patch

BuildRequires:  gcc
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  chrpath
BuildRequires:  libtool
BuildRequires:  cups-devel
BuildRequires:  libjpeg-devel
BuildRequires:  make

BuildRequires:  python3-cups
Requires:       cups-filesystem

%description
This package contains drivers for Epson Inkjet printers that use 
the New Generation Epson Printer Control Language.

For a detailed list of supported printers, please refer to
http://avasys.jp/english/linux_e/

%prep
%setup -q 
%patch1 -p1 -b .filter
%patch2 -p1 -b .implicit-function-declaration
find . -name \*.h -exec chmod 644 {} \;
find . -name \*.c -exec chmod 644 {} \;
for f in README README.ja COPYING AUTHORS NEWS; do
 chmod 644 $f
done

%build
autoreconf -i
%configure --disable-static --enable-shared --disable-rpath
make

%install
make install DESTDIR=%{buildroot} CUPS_PPD_DIR=%{_datadir}/ppd/Epson
rm -f %{buildroot}%{_libdir}/*.la
for ppd in %{buildroot}%{_datadir}/ppd/Epson/epson-inkjet-printer-escpr/*.ppd; do
 gzip $ppd
done
chrpath --delete %{buildroot}%{_cups_serverbin}/filter/epson-escpr
cp -a README README.ja COPYING AUTHORS NEWS ..

rm %{buildroot}%{_libdir}/libescpr.so


%files
%doc README README.ja COPYING AUTHORS NEWS
%{_cups_serverbin}/filter/epson-*
%{_datadir}/ppd/Epson/
%{_libdir}/libescpr.so.*

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.21-1
- initial build
